### Constructor

# GdkPixbuf PixbufAnimation new_from_stream

#### Declaration [src]

    GdkPixbufAnimation*
    gdk_pixbuf_animation_new_from_stream (
      GInputStream* stream,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Creates a new animation by loading it from an input stream.

The file format is detected automatically.

If `NULL` is returned, then `error` will be set.

The `cancellable` can be used to abort the operation from another thread. If the operation was cancelled, the error `G_IO_ERROR_CANCELLED` will be returned. Other possible errors are in the `GDK_PIXBUF_ERROR` and `G_IO_ERROR` domains.

The stream is not closed.

Available since: | 2.28

#### Parameters

`stream` | `GInputStream`
| A `GInputStream` to load the pixbuf from.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional `GCancellable` object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GdkPixbufAnimation`
| A newly-created animation.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.